<template>
  <div>
    <!-- Contenido -->
    <div class="contSecc">
      <v-row justify="center">
        <v-col
          v-for="(card, indexCard) in cards"
          :key="card.title"
          :xs="12"
          :sm="12"
          :md="6"
          :lg="3"
          :offset-lg="indexCard === 0 ? 0 : 0"
        >
          <v-card :to="card.to" :color="card.color" class="generalCard pa-4">
            <v-avatar class="ma-3" size="200" tile>
              <v-img
                :contain="true"
                :aspect-ratio="1"
                position="center"
                :src="card.src"
                :lazy-src="card.src"
                class="white--text align-end"
                height="150"
              >
                <template v-slot:placeholder>
                  <v-row class="fill-height ma-0" align="center" justify="center">
                    <v-progress-circular
                      indeterminate
                      color="grey lighten-5"
                    ></v-progress-circular>
                  </v-row>
                </template>
              </v-img>
            </v-avatar>
            <v-card-title
              class="cardTitle justify-center black--text"
              v-text="card.title"
            ></v-card-title>
            <v-card-subtitle
              class="black--text"
              v-text="card.description"
            ></v-card-subtitle>
          </v-card>
        </v-col>
      </v-row>
    </div>
    <!-- Fin conSecc -->
  </div>
</template>
<style scoped>
.generalCard .cardTitle {
  border-top: 2px solid #ffcd00;
}
</style>
<script>
import store from "@/store";
const serviceLocalStorage = store.state.serviceLocalStorage;
export default {
  name: "supervision_mantenimiento_asignaciones_home_basico",
  data() {
    return {
      cards: [
        {
          title: "Dashboard supervision mantenimiento",
          src: require("@/assets/img/sistema-info.svg"),
          description: "Consulta la cobertura y avance de tus supervisiones",
          to: {
            name:
              "supervision_mantenimiento_dashboard_primer_nivel_mantenimiento_supervision",
            params: {
              tipo_protocolo: "aseguramiento-calidad",
            },
          },
          color: "#faf9f9",
        },
        {
          title: "Visualización asistencia",
          src: require("@/assets/img/asignacionSup/asignacion-seccion.svg"),
          description: "Consulta la asistencia de tus supervisores",
          to: {
            name:
              "supervision_mantenimiento_asignaciones_reportes_asistencia_mantenimiento",
            params: {
              tipo_protocolo: "aseguramiento-calidad",
            },
          },
          color: "#faf9f9",
        },
      ],
    };
  },
  methods: {
    getUser() {
      this.user = serviceLocalStorage.userToken();
      this.perfilesEncontrados = store.state.perfiles;
      this.getPerfil();
    },

    getPerfil() {
      var navigation_to_visualizador_dashboard = "";
      var navigation_to_visualizador_asistencia = "";
      /**
       * 326  DIRECTOR MANTENIMIENTO
       * 325  REGIONAL MANTENIMIENTO
       * 206  COORDINADOR MANTENIMIENTO
       * 205  SUPERVISOR MANTENIMIENTO
       */
      if (this.perfilesEncontrados.length > 0) {
        let director = this.perfilesEncontrados.find(
          (objeto) => objeto.perfil.id_perfil == 326
        );

        let regional = this.perfilesEncontrados.find(
          (objeto) => objeto.perfil.id_perfil == 325
        );

        let coordinador = this.perfilesEncontrados.find(
          (objeto) => objeto.perfil.id_perfil == 206
        );

        let supervisor = this.perfilesEncontrados.find(
          (objeto) => objeto.perfil.id_perfil == 205
        );

        if (director) {
          navigation_to_visualizador_dashboard =
            "supervision_mantenimiento_dashboard_director";
          navigation_to_visualizador_asistencia =
            "supervision_mantenimiento_asistencia_mantenimiento_director";
        } else if (regional) {
          navigation_to_visualizador_dashboard =
            "supervision_mantenimiento_dashboard_regional";
          navigation_to_visualizador_asistencia =
            "supervision_mantenimiento_asistencia_mantenimiento_regional";
        } else if (coordinador) {
          navigation_to_visualizador_dashboard =
            "supervision_mantenimiento_dashboard_coordinador";
          navigation_to_visualizador_asistencia =
            "supervision_mantenimiento_asistencia_mantenimiento_coordinador";
        } else if (supervisor) {
          navigation_to_visualizador_dashboard =
            "supervision_mantenimiento_dasboard_supervisor_supervisor";
          navigation_to_visualizador_asistencia =
            "supervision_mantenimiento_asistencia_mantenimiento_supervisor";
        }

        this.cards[0].to.name = navigation_to_visualizador_dashboard;
        this.cards[1].to.name = navigation_to_visualizador_asistencia;
      } else {
        this.cards[0].to.name = "";
        this.cards[1].to.name = "";
      }
    },
    initCards() {
      this.getUser();
    },
  },
  created() {
    this.initCards();
  },
};
</script>
